Debian Bug report logs - #659424
imageindex: Uses perl4 corelibs without Depends

version graph

Package: imageindex; Maintainer for imageindex is Michael Ablassmeier <abi@debian.org>; Source for imageindex is src:imageindex.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Fri, 10 Feb 2012 23:51:05 UTC

Severity: normal

Tags: patch

Found in version imageindex/1.1-2

Fixed in version imageindex/1.1-2.1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Ablassmeier <abi@debian.org>:
Bug#659424; Package imageindex. (Fri, 10 Feb 2012 23:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Michael Ablassmeier <abi@debian.org>. (Fri, 10 Feb 2012 23:51:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: imageindex: Uses perl4 corelibs without Depends
Date: Fri, 10 Feb 2012 23:48:57 +0000
Package: imageindex
Version: 1.1-2
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/bin/imageindex:332 flush.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Ablassmeier <abi@debian.org>:
Bug#659424; Package imageindex. (Sun, 18 Mar 2012 16:27:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Michael Ablassmeier <abi@debian.org>. (Sun, 18 Mar 2012 16:27:19 GMT) Full text and rfc822 format available.

Message #10 received at 659424@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658917@bugs.debian.org, 658931@bugs.debian.org, 658932@bugs.debian.org, 658945@bugs.debian.org, 658949@bugs.debian.org, 659421@bugs.debian.org, 659422@bugs.debian.org, 659423@bugs.debian.org, 659424@bugs.debian.org, 659429@bugs.debian.org
Subject: Intent to NMU in the coming weeks
Date: Sun, 18 Mar 2012 16:22:11 +0000
Dear maintainer,

As I would like to get all of the Perl4::Corelibs issues sorted out
before wheezy releases, to ease the transition for perl 5.16 in
wheezy+1, I intend to file NMUs for these issues, adding the dependency

libperl4-corelibs-perl | perl (<< 5.12.3-7)

as per the lintian descriptions and wiki[1]. I will upload them to
DELAYED/10. If you plan to fix these bugs before wheezy and would prefer
that I *don'* provide an NMU for the issue in your package, just let me
know.

Thanks,
Dominic.

[1] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Ablassmeier <abi@debian.org>:
Bug#659424; Package imageindex. (Sat, 28 Apr 2012 16:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Michael Ablassmeier <abi@debian.org>. (Sat, 28 Apr 2012 16:03:06 GMT) Full text and rfc822 format available.

Message #15 received at 659424@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659424@bugs.debian.org
Subject: imageindex: diff for NMU version 1.1-2.1
Date: Sat, 28 Apr 2012 16:58:30 +0100
[Message part 1 (text/plain, inline)]
tags 659424 + patch
tags 659424 + pending
thanks

Dear maintainer,

I've prepared an NMU for imageindex (versioned as 1.1-2.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[imageindex-1.1-2.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 28 Apr 2012 16:03:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 28 Apr 2012 16:03:10 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Tue, 08 May 2012 16:36:03 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Tue, 08 May 2012 16:36:03 GMT) Full text and rfc822 format available.

Message #24 received at 659424-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659424-close@bugs.debian.org
Subject: Bug#659424: fixed in imageindex 1.1-2.1
Date: Tue, 08 May 2012 16:32:48 +0000
Source: imageindex
Source-Version: 1.1-2.1

We believe that the bug you reported is fixed in the latest version of
imageindex, which is due to be installed in the Debian FTP archive:

imageindex_1.1-2.1.debian.tar.gz
  to main/i/imageindex/imageindex_1.1-2.1.debian.tar.gz
imageindex_1.1-2.1.dsc
  to main/i/imageindex/imageindex_1.1-2.1.dsc
imageindex_1.1-2.1_all.deb
  to main/i/imageindex/imageindex_1.1-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659424@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated imageindex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Apr 2012 16:55:33 +0100
Source: imageindex
Binary: imageindex
Architecture: source all
Version: 1.1-2.1
Distribution: unstable
Urgency: low
Maintainer: Michael Ablassmeier <abi@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 imageindex - generate static HTML galleries from images
Closes: 659424
Changes: 
 imageindex (1.1-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Depend on libperl4-corelibs-perl (Closes: #659424)
Checksums-Sha1: 
 c7cc3918abba923eda6d0d242054d04b3a201ce8 1072 imageindex_1.1-2.1.dsc
 2b29a8a30b413a9fa160ca9f9cec54920cd92f13 4137 imageindex_1.1-2.1.debian.tar.gz
 bfe778b95fe2bdef44e08dc34fb5dd2dda993b65 47920 imageindex_1.1-2.1_all.deb
Checksums-Sha256: 
 f855c6321920116d919f0a67a5eb79d0368a0799fab6ac8661813172bf88956a 1072 imageindex_1.1-2.1.dsc
 d698a5f30e2500ca7fdcdb42f0024493aff1f57e0bfd2cfddbd9cb1d438a5717 4137 imageindex_1.1-2.1.debian.tar.gz
 9b1d1a0e2d3c8e504245577c803ecf569833ce9ababa3d133fb8b394a4916cd9 47920 imageindex_1.1-2.1_all.deb
Files: 
 80d7fa59ac676d6357f31d2d41206a1f 1072 web optional imageindex_1.1-2.1.dsc
 8823a12b803fc07fff5710960f0a0f6b 4137 web optional imageindex_1.1-2.1.debian.tar.gz
 f10764b930974f5743cfd78d897993f2 47920 web optional imageindex_1.1-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPnBNuYzuFKFF44qURAqMmAJsH8pnLi8fNvNQUWeb2m8hYyQ2x8wCgtNnN
xTWrgCZM7wodGfGYOPTOjsk=
=f5/x
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jun 2012 07:36:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:15:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.